package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工业工程|市政工程对象 z_engineering_industry
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_industry")
public class ZEngineeringIndustry extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 工程类型
     */
    private String engineeringType;
    /**
     * 建筑单位
     */
    private String constructUnit;
    /**
     * 项目负责人
     */
    private String projectHead;
    /**
     * 现场负责人
     */
    private String sceneHead;
    /**
     * 设计单位
     */
    private String designUnit;
    /**
     * 设计负责人
     */
    private String designHead;
    /**
     * 设计联系电话
     */
    private String designPhone;
    /**
     * 监理单位
     */
    private String supervisionUnit;
    /**
     * 监理负责人
     */
    private String supervisionHead;
    /**
     * 监理联系电话
     */
    private String supervisionPhone;
    /**
     * 类型(工业工程|市政工程)
     */
    private String type;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;
    /**
     * 
     */
    @Version
    private String version;

}
