package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基建工程对象 z_engineering_infrastructure
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_infrastructure")
public class ZEngineeringInfrastructure extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 工程名称
     */
    private String enginName;
    /**
     * 工程地址
     */
    private String enginAddre;
    /**
     * 建设单位
     */
    private String constructUnit;
    /**
     * 开工时间
     */
    private Date startTime;
    /**
     * 计划工期
     */
    private String plannedDuration;
    /**
     * 竣工时间
     */
    private Date completedTime;
    /**
     * 工程内容
     */
    private String enginContent;
    /**
     * 
     */
    @Version
    private String version;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
