package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程用料预设对象 z_engineering_materials_resets
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_materials_resets")
public class ZEngineeringMaterialsResets extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 
     */
    private Long areaId;
    /**
     * 材质
     */
    private String materialQuality;
    /**
     * 规格
     */
    private String estimatedSpecifications;
    /**
     * 预估尺寸
     */
    private Long estimatedSize;
    /**
     * 预估金额
     */
    private String estimatedAmount;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
