package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程节点对象 z_engineering_node
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_node")
public class ZEngineeringNode extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 民用工程id
     */
    private Long civliId;
    /**
     * 节点类型
     */
    private String type;
    /**
     * 
     */
    @Version
    private String version;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
