package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 顶管工程对象 z_engineering_pipe_jacking
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_pipe_jacking")
public class ZEngineeringPipeJacking extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 工程名称
     */
    private String enginName;
    /**
     * 工程地址
     */
    private String enginAddre;
    /**
     * 工程编码
     */
    private String enginCode;
    /**
     * 施工单位
     */
    private String constructUnit;
    /**
     * 工程规模
     */
    private String enginScale;
    /**
     * 施工质量
     */
    private String constructQuality;
    /**
     * 施工进度
     */
    private String constructSchedule;
    /**
     * 
     */
    @Version
    private String version;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
