package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 照片业务对象 z_engiineering_photo
 *
 * @author ruoyi
 * @date 2023-12-25
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngiineeringPhotoBo extends BaseEntity {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 上级id
     */
    @NotNull(message = "上级id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long parentId;

    /**
     * 图片地址
     */
    @NotBlank(message = "图片地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String picUrl;


}
