package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 民用工程视图对象 z_engineering_civil
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringCivilVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 小区id
     */
    @ExcelProperty(value = "小区id")
    private Long areaId;

    /**
     * 楼宇id
     */
    @ExcelProperty(value = "楼宇id")
    private Long buildingId;

    /**
     * 单元id
     */
    @ExcelProperty(value = "单元id")
    private Long unitId;

    /**
     * 房间id
     */
    @ExcelProperty(value = "房间id")
    private Long houseId;

    /**
     * 工程类型
     */
    @ExcelProperty(value = "工程类型")
    private String engineeringType;

    /**
     * 负责人id
     */
    @ExcelProperty(value = "负责人id")
    private String headName;

    /**
     * 负责人电话
     */
    @ExcelProperty(value = "负责人电话")
    private String headPhone;

    /**
     * 工程分类
     */
    @ExcelProperty(value = "工程分类")
    private String engineeringClassification;


}
