package com.ruoyi.zdsz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 基建工程视图对象 z_engineering_infrastructure
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringInfrastructureVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 工程名称
     */
    @ExcelProperty(value = "工程名称")
    private String enginName;

    /**
     * 工程地址
     */
    @ExcelProperty(value = "工程地址")
    private String enginAddre;

    /**
     * 建设单位
     */
    @ExcelProperty(value = "建设单位")
    private String constructUnit;

    /**
     * 开工时间
     */
    @ExcelProperty(value = "开工时间")
    private Date startTime;

    /**
     * 计划工期
     */
    @ExcelProperty(value = "计划工期")
    private String plannedDuration;

    /**
     * 竣工时间
     */
    @ExcelProperty(value = "竣工时间")
    private Date completedTime;

    /**
     * 工程内容
     */
    @ExcelProperty(value = "工程内容")
    private String enginContent;


}
