package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 工程用料预设视图对象 z_engineering_materials_resets
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringMaterialsResetsVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long areaId;

    /**
     * 材质
     */
    @ExcelProperty(value = "材质")
    private String materialQuality;

    /**
     * 规格
     */
    @ExcelProperty(value = "规格")
    private String estimatedSpecifications;

    /**
     * 预估尺寸
     */
    @ExcelProperty(value = "预估尺寸")
    private Long estimatedSize;

    /**
     * 预估金额
     */
    @ExcelProperty(value = "预估金额")
    private String estimatedAmount;


}
