package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringInfrastructure;
import com.ruoyi.zdsz.domain.vo.ZEngineeringInfrastructureVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringInfrastructureBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 基建工程Service接口
 *
 * @author ruoyi
 * @date 2023-12-25
 */
public interface IZEngineeringInfrastructureService {

    /**
     * 查询基建工程
     */
    ZEngineeringInfrastructureVo queryById(Long id);

    /**
     * 查询基建工程列表
     */
    TableDataInfo<ZEngineeringInfrastructureVo> queryPageList(ZEngineeringInfrastructureBo bo, PageQuery pageQuery);

    /**
     * 查询基建工程列表
     */
    List<ZEngineeringInfrastructureVo> queryList(ZEngineeringInfrastructureBo bo);

    /**
     * 新增基建工程
     */
    Boolean insertByBo(ZEngineeringInfrastructureBo bo);

    /**
     * 修改基建工程
     */
    Boolean updateByBo(ZEngineeringInfrastructureBo bo);

    /**
     * 校验并批量删除基建工程信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
