package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 民用工程对象 z_engineering_civil
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_civil")
public class ZEngineeringCivil extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 小区id
     */
    private Long areaId;
    /**
     * 楼宇id
     */
    private Long buildingId;
    /**
     * 单元id
     */
    private Long unitId;
    /**
     * 房间id
     */
    private Long houseId;
    /**
     * 工程类型
     */
    private String engineeringType;
    /**
     * 负责人id
     */
    private String headName;
    /**
     * 负责人电话
     */
    private String headPhone;
    /**
     * 工程分类
     */
    private String engineeringClassification;
    /**
     * 
     */
    @Version
    private String version;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
