package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程用料对象 z_engineering_material
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_material")
public class ZEngineeringMaterial extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 详情id
     */
    private Long detailsId;
    /**
     * 材质
     */
    private String materialQuality;
    /**
     * 规格
     */
    private String specifications;
    /**
     * 尺寸
     */
    private Long size;
    /**
     * 数量
     */
    private Long number;
    /**
     * 
     */
    @Version
    private String version;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
