package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 工程用料视图对象 z_engineering_material
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringMaterialVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 详情id
     */
    @ExcelProperty(value = "详情id")
    private Long detailsId;

    /**
     * 材质
     */
    @ExcelProperty(value = "材质")
    private String materialQuality;

    /**
     * 规格
     */
    @ExcelProperty(value = "规格")
    private String specifications;

    /**
     * 尺寸
     */
    @ExcelProperty(value = "尺寸")
    private Long size;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Long number;


}
