package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 顶管工程视图对象 z_engineering_pipe_jacking
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringPipeJackingVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 工程名称
     */
    @ExcelProperty(value = "工程名称")
    private String enginName;

    /**
     * 工程地址
     */
    @ExcelProperty(value = "工程地址")
    private String enginAddre;

    /**
     * 工程编码
     */
    @ExcelProperty(value = "工程编码")
    private String enginCode;

    /**
     * 施工单位
     */
    @ExcelProperty(value = "施工单位")
    private String constructUnit;

    /**
     * 工程规模
     */
    @ExcelProperty(value = "工程规模")
    private String enginScale;

    /**
     * 施工质量
     */
    @ExcelProperty(value = "施工质量")
    private String constructQuality;

    /**
     * 施工进度
     */
    @ExcelProperty(value = "施工进度")
    private String constructSchedule;


}
