package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringDangerous;
import com.ruoyi.zdsz.domain.vo.ZEngineeringDangerousVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringDangerousBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 危险工程Service接口
 *
 * @author ruoyi
 * @date 2023-12-25
 */
public interface IZEngineeringDangerousService {

    /**
     * 查询危险工程
     */
    ZEngineeringDangerousVo queryById(Long id);

    /**
     * 查询危险工程列表
     */
    TableDataInfo<ZEngineeringDangerousVo> queryPageList(ZEngineeringDangerousBo bo, PageQuery pageQuery);

    /**
     * 查询危险工程列表
     */
    List<ZEngineeringDangerousVo> queryList(ZEngineeringDangerousBo bo);

    /**
     * 新增危险工程
     */
    Boolean insertByBo(ZEngineeringDangerousBo bo);

    /**
     * 修改危险工程
     */
    Boolean updateByBo(ZEngineeringDangerousBo bo);

    /**
     * 校验并批量删除危险工程信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
